Subject: Re: bug#76549: 30.1; Intermittent proced-refine test failires

From: Laurence Warne <[email-masked]>
Date: Wed, 26 Feb 2025 22:03:49 +0000

Hi, I don't seem to be able to see the ERT explainer output in the logs
added in https://debbugs.gnu.org/cgi/bugreport.cgi?bug=73441 for
proced-refine-test.

Has that patch been applied here or am I missing it?  If not it would
possibly explain the flakiness fixed by that patch too.

Otherwise I can't reproduce the test failing with no ERT explainer output
copying the flags in the logs (my hope would be the ERT explainer output
would show the underlying cause as before).

Thanks, Laurence

On Wed, Feb 26, 2025 at 12:45 PM Eli Zaretskii <[email-masked]> wrote:

> > Date: Tue, 25 Feb 2025 10:48:46 +0000 (GMT)
> > From: Peter Oliver <[email-masked]>
> >
> > I intermittently see the following test failure (and a similar one for
> proced-refine-with-update-test) for Emacs 30.1 on Fedora 42.
> >
> > Full logs are at
> https://kojipkgs.fedoraproject.org//work/tasks/4052/129594052/build.log
> and
> https://kojipkgs.fedoraproject.org//work/tasks/4051/129594051/build.log
> >
> > make[3]: Entering directory
> '/builddir/build/BUILD/emacs-30.1-build/emacs-30.1/build-lucid/test'
> > /usr/bin/mkdir -p lisp/
> > HOME=/nonexistent LANG=C
> EMACS_TEST_DIRECTORY=/builddir/build/BUILD/emacs-30.1-build/emacs-30.1/build-lucid/test
>  "../src/emacs" --module-assertions --no-init-file --no-site-file
> --no-site-lisp -L ":."  \
> >    -l ert --eval "(setq treesit-extra-load-path
> '(\"/builddir/.emacs.d/tree-sitter\"))" -l lisp/proced-tests \
> >    --batch --eval '(ert-run-tests-batch-and-exit (quote (not (or (tag
> :expensive-test) (tag :unstable)))))' > lisp/proced-tests.log 2>&1 || {
> STAT=$?; cat lisp/proced-tests.log; exit $STAT; }
> > Running 6 tests (2025-02-24 22:08:34+0000, selector `(not (or (tag
> :expensive-test) (tag :unstable)))')
> >     passed  1/6  proced-color-test (0.063154 sec)
> >     passed  2/6  proced-format-test (0.272138 sec)
> > Test proced-refine-test backtrace:
> >    proced-<(nil 88.88888888888889)
> >    proced-update()
> >    proced-refine()
> >    #f(compiled-function () #<bytecode 0x90a95dc86d9c8dd>)()
> >    #f(compiled-function () #<bytecode 0x81d18e5e5e509e9>)()
> >    handler-bind-1(#f(compiled-function () #<bytecode 0x81d18e5e5e509e9>
> >    ert--run-test-internal(#s(ert--test-execution-info :test #s(ert-test
> >    ert-run-test(#s(ert-test :name proced-refine-test :documentation nil
> >    ert-run-or-rerun-test(#s(ert--stats :selector ... :tests ... :test-m
> >    ert-run-tests((not (or (tag :expensive-test) (tag :unstable))) #f(co
> >    ert-run-tests-batch((not (or (tag :expensive-test) (tag :unstable)))
> >    ert-run-tests-batch-and-exit((not (or (tag :expensive-test) (tag :un
> >    eval((ert-run-tests-batch-and-exit '(not (or (tag :expensive-test) (
> >    command-line-1(("-L" ":." "-l" "ert" "--eval" "(setq treesit-extra-l
> >    command-line()
> >    normal-top-level()
> > Test proced-refine-test condition:
> >      (wrong-type-argument number-or-marker-p nil)
> >     FAILED  3/6  proced-refine-test (0.083490 sec) at
> lisp/proced-tests.el:117
> >     passed  4/6  proced-refine-with-update-test (0.089915 sec)
> >     passed  5/6  proced-revert-test (0.101340 sec)
> >     passed  6/6  proced-update-test (0.071953 sec)
> > Ran 6 tests, 5 results as expected, 1 unexpected (2025-02-24
> 22:08:35+0000, 0.735331 sec)
> > 1 unexpected results:
> >     FAILED  proced-refine-test
> > make[3]: Leaving directory
> '/builddir/build/BUILD/emacs-30.1-build/emacs-30.1/build-lucid/test'
> > make[3]: *** [Makefile:184: lisp/proced-tests.log] Error 1
>
> Laurence, could you please look into fixing this?
>